<?php

$project = [
  'title' => $page->title()->value(),
  'url' => $page->url(),
  'modified' => $page->modified('Y-MM-d'),
  'status' => $page->status(),
  'logo' => $page->client()->toPage()->logo()->toFile()->url(),
  'currentStep' => $page->currentStep()->value(),
  'steps' => $page->getSteps()
];

$data = array_merge($genericData, $project);

echo json_encode($data);